﻿namespace FileStorage
{
    public interface IFileStorage
    {

        FileMetadata Upload(string fileName, long length, string extraInfo, Stream fileData, string client);

        Task<Uri> GetFileUrlAsync(string id, string clientId);

        (Stream stream, string contentType,string fileName) DownLoadFile(string id, string clientId);

        Task<bool> DelFileAsync(string id, string clientId);

        Task<string> GetFilePath(string id, string expires, string clientId, string signature);

        Task<string> GetFilePathAsync(string id, string clientId);

	}
}
